<template>
  <div id="app">
    <div class="app-container">
      <Username />
      <div class="chat-container">
        <Chat />
      </div>
    </div>
  </div>
</template>

<script>
import Username from './components/Username.vue';
import Chat from './components/Chat.vue';

export default {
  name: 'App',
  components: {
    Username,
    Chat
  },
};
</script>

<style>
body {
  font-family: 'Helvetica Neue', Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: rgb(23, 23, 23);
}

.app-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 90vh;
  padding: 20px;
  background-color: rgb(23, 23, 23);
}

.chat-container {
  display: flex;
  flex-direction: column;
  width: 70vw;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  background-color: rgb(23, 23, 23);
}

input {
  width: 100%;
  padding: 10px;
  margin: 5px 0;
  border: 1px solid #ccc;
  border-radius: 5px;
  box-sizing: border-box;
}

button {
  padding: 10px 20px;
  margin: 5px 5px 5px 0;
  border: none;
  border-radius: 5px;
  background-color: #128c7e;
  color: white;
  cursor: pointer;
}

button:hover {
  background-color: #128c7e;
}

h2 {
  color: #128c7e;
}

ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

li {
  padding: 10px;
  border-bottom: 1px solid #eee;
}

li:last-child {
  border-bottom: none;
}
</style>